k_sparse_categorical_crossentropy {keras} | R Documentation

## Categorical crossentropy with integer targets.

### Description

Categorical crossentropy with integer targets.

### Usage

    k_sparse_categorical_crossentropy(target, output, from_logits = FALSE,
      axis = -1)

### Arguments

`target` | An integer tensor.
`output` | A tensor resulting from a softmax (unless `from_logits` is TRUE, in which case `output` is expected to be the logits).
`from_logits` | Boolean, whether `output` is the result of a softmax, or is a tensor of logits.
`axis` | Axis (axis indexes are 1-based). Pass -1 (the default) to select the last axis.

### Value

Output tensor.

### Keras Backend

This function is part of a set of Keras backend functions that enable lower level access to the core operations of the backend tensor engine (e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here: https://keras.rstudio.com/articles/backend.html#backend-functions.

[Package keras version 2.2.4 Index]